From ff3205444f37479773826e35923743237a043bae Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Mar 27 2021 03:56:01 +0000
Subject: [PATCH 2217/2232] Suppress wrong_self_convention clippy false positive


https://github.com/rust-lang/rust-clippy/issues/6983

    warning: methods with the following characteristics: (`to_*` and `self` type is `Copy`) usually take `self` by value
       --> macro/src/syntax/discriminant.rs:194:18
        |
    194 |     fn to_tokens(&self, tokens: &mut TokenStream) {
        |                  ^^^^^
        |
        = note: `#[warn(clippy::wrong_self_convention)]` on by default
        = help: consider choosing a less ambiguous name
        = help: for further information visit https://rust-lang.github.io/rust-clippy/master/index.html#wrong_self_convention

---

diff --git a/gen/build/src/lib.rs b/gen/build/src/lib.rs
index fda387d..63b2cf6 100644
--- a/gen/build/src/lib.rs
+++ b/gen/build/src/lib.rs
@@ -72,7 +72,9 @@
     clippy::too_many_arguments,
     clippy::too_many_lines,
     clippy::toplevel_ref_arg,
-    clippy::upper_case_acronyms
+    clippy::upper_case_acronyms,
+    // clippy bug: https://github.com/rust-lang/rust-clippy/issues/6983
+    clippy::wrong_self_convention
 )]
 
 mod cfg;
diff --git a/gen/cmd/src/main.rs b/gen/cmd/src/main.rs
index e8b6ead..f419dad 100644
--- a/gen/cmd/src/main.rs
+++ b/gen/cmd/src/main.rs
@@ -22,7 +22,9 @@
     clippy::struct_excessive_bools,
     clippy::too_many_arguments,
     clippy::too_many_lines,
-    clippy::toplevel_ref_arg
+    clippy::toplevel_ref_arg,
+    // clippy bug: https://github.com/rust-lang/rust-clippy/issues/6983
+    clippy::wrong_self_convention
 )]
 
 mod app;
diff --git a/gen/lib/src/lib.rs b/gen/lib/src/lib.rs
index 4329628..e3eca5e 100644
--- a/gen/lib/src/lib.rs
+++ b/gen/lib/src/lib.rs
@@ -31,7 +31,9 @@
     clippy::struct_excessive_bools,
     clippy::too_many_arguments,
     clippy::too_many_lines,
-    clippy::toplevel_ref_arg
+    clippy::toplevel_ref_arg,
+    // clippy bug: https://github.com/rust-lang/rust-clippy/issues/6983
+    clippy::wrong_self_convention
 )]
 
 mod error;
diff --git a/macro/src/lib.rs b/macro/src/lib.rs
index a92eae7..c24a607 100644
--- a/macro/src/lib.rs
+++ b/macro/src/lib.rs
@@ -23,7 +23,9 @@
     clippy::too_many_arguments,
     clippy::too_many_lines,
     clippy::toplevel_ref_arg,
-    clippy::useless_let_if_seq
+    clippy::useless_let_if_seq,
+    // clippy bug: https://github.com/rust-lang/rust-clippy/issues/6983
+    clippy::wrong_self_convention
 )]
 
 extern crate proc_macro;

